import 'package:flutter_bloc/flutter_bloc.dart';

abstract class LanguageEvent{}

class UpdateLanguage extends LanguageEvent{
  final String language;
  UpdateLanguage(this.language);
}


class LanguageState{
  final String selectedLanguage;
  LanguageState(this.selectedLanguage);
}

class LanguageBloc extends Bloc<LanguageEvent , LanguageState>{
   LanguageBloc() : super(LanguageState("English / Englis")){
     on<UpdateLanguage>((event, emit){
       emit(LanguageState(event.language));
     });
   }
}